rewards_api.simulate_curve_payouts
disabled
Defined in the steem source (52dcfabb) but not served by public nodes.
Purpose
Simula i pagamenti del fondo ricompense (reward fund) per una data curva di pagamento, senza applicarli.
Parameters
PARAMETERS
json
{
"curve": "quadratic",
"var1": "2000000000000"
}⚠ Definito nel codice sorgente di steem, ma non abilitato sui nodi pubblici.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "quadratic",
"var1": "2000000000000"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "bounded_curation",
"var1": "2000000000000"
},
"id": 1
}'Example 3
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "linear",
"var1": "2000000000000"
},
"id": 1
}'Example 4
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "square_root",
"var1": "2000000000000"
},
"id": 1
}'Example 5
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "convergent_linear",
"var1": "2000000000000"
},
"id": 1
}'Example 6
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "rewards_api.simulate_curve_payouts",
"params": {
"curve": "convergent_square_root",
"var1": "2000000000000"
},
"id": 1
}'Response
RESPONSE
json
{
"recent_claims": "",
"payouts": []
}